org.apache.flume.api

## Class HostInfo

- java.lang.Object
- - org.apache.flume.api.HostInfo

-     public class HostInfo
      extends Object

  A convenience class that holds the property reference name along with the hostname and port number of a specified host address. It also provides a method to parse out the host list from a given properties object that contains the host details.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostInfo(String referenceName, String hostName, int portNumber)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<HostInfo>` | `getHostInfoList(Properties properties)`
    `String` | `getHostName()`
    `int` | `getPortNumber()`
    `String` | `getReferenceName()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HostInfo

          public HostInfo(String referenceName,
                  String hostName,
                  int portNumber)

  - ### Method Detail

    - #### getReferenceName

          public String getReferenceName()

    - #### getHostName

          public String getHostName()

    - #### getPortNumber

          public int getPortNumber()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getHostInfoList

          public static List<HostInfo> getHostInfoList(Properties properties)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.